#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#include "titleModule.h"
#include "graphicsModule.h"
#include "movieModule.h"
#include "imageModule.h"

#define NUM_MODULES 7

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		float 		counter;
		bool		bSmooth;
		
		int 			curModule;
		int 			nModules;
		baseModule * 	myModules[NUM_MODULES];
};

#endif
	
